# Plus7 add-on for Kodi

http://aussieaddons.com/addons/plus7/

This add-on provides a simple list of available programs from the Plus7 catch-up TV service, and allows you to stream them within Kodi.

The content is only available within Australia, but it is possible to use this service outside of Australia by using Smart DNS or VPN geo-unblocking tools.

NOTE: If you are in Australia and are having issues streaming, you may need to disable any Smart DNS or VPN tools.

Thanks for contributions from:
  * Adam M-W
  * nunoidev
  * Glenn Guy

## Current status

Working :+1:

Some programs (generally non-Australian produced content) are not watchable due to Digital Rights Management (DRM) being enforced on them.

There is a way to enable DRM support (using Widevine) in Kodi and we have successfully tested this, but it is complex and not ready for general use.

We are optimistic that DRM support will be available in Kodi v18 later this year.

If you're interested, please chat with us on our [Slack channel](http://slack-invite.aussieaddons.com/).


## Installation

Follow the Aussie Add-ons repository [installation guide](http://aussieaddons.com/installation/) to set
up the Aussie Add-ons repository.

Once the repository is installed, you can install the Plus7 add-on through the Kodi Add-on manager by accessing the menus:

 * System ->
 * Settings ->
 * Add-ons ->
 * Install from repository ->
 * Aussie Add-ons (or XBMC CatchupTV AU Add-ons) ->
 * Video add-ons ->
 * Plus7 ->
 * Install

The Kodi wiki also has a nice guide on [installing Add-ons via the Add-on manager](http://kodi.wiki/view/Add-on_manager).

Installing directly is not supported, unless you have the Aussie Add-ons/XBMC CatchupTV AU repository already configured, as this add-on has some dependencies that must be installed before it will work.


## Issues

For any issues or bug reports, please file them on the [issues page](https://github.com/andybotting/xbmc-addon-plus7/issues).

Please include log output, if possible. Follow the [log upload guide](http://kodi.wiki/view/Log_file/Easy) and include the URL it gives you in your bug report.


## Contact

For help and support, feel free to register on our [Slack channel](http://slack-invite.aussieaddons.com/).

Good luck and happy viewing.
